﻿using DxLibDLL;
using System;

namespace Tetris
{
    /// <summary>
    /// メッセージ表示を管理する
    /// </summary>
    class Message
    {
        // 表示するテキスト
        private string text;

        // 表示するフォント
        private int fontHandle;

        /// <summary>
        /// コンストラクタ
        /// </summary>
        public Message()
        {
            // メッセージを初期化（何も表示しない）
            text = "";

            // フォントを初期化（とりあえず固定）
            fontHandle = DX.CreateFontToHandle(null, 48, -1, DX.DX_FONTTYPE_ANTIALIASING_EDGE);
        }

        /// <summary>
        /// デストラクタ
        /// </summary>
        ~Message()
        {
            // フォントを解放
            DX.DeleteFontToHandle(fontHandle);
        }

        /// <summary>
        /// メッセージを設定する
        /// </summary>
        /// <param name="msg">表示するメッセージ</param>
        public void Set(string msg)
        {
            this.text = msg;
        }

        /// <summary>
        /// メッセージを描画する
        /// </summary>
        public void Draw()
        {
            // とりあえずの簡易版
            // メッセージ表示座標や色などカスタマイズできる要素は多い。
            DX.DrawStringToHandle(24, 24, text, 0xffffff, fontHandle);
        }
    }
}
