﻿// アプリケーションのエントリーポイント

using DxLibDLL;
using System;

namespace Tetris
{
    class SystemMain
    {
        /// <summary>
        /// アプリケーションのエントリーポイント（ここからプログラムが始まる）
        /// </summary>
        [STAThread]
        static void Main()
        {
            // ウィンドウモードに切り替え
            DX.ChangeWindowMode(DX.TRUE);

            // ウィンドウタイトルの変更
            DX.SetMainWindowText("○×ゲーム");

#if !DEBUG
            // ログ出力を行わない
            DX.SetOutApplicationLogValidFlag(DX.FALSE);
#endif
            
            // ウィンドウのサイズ指定
            DX.SetGraphMode(800, 600, 32);

            // DXライブラリの初期化
            if (DX.DxLib_Init() == -1)
            {
                // 初期化に失敗した場合は終了
                return;
            }

            // ゲームのメイン部分を生成
            GameMain gm = new GameMain();

            // ゲームのメイン部分を実行
            gm.Main();

            // DXライブラリの使用終了
            DX.DxLib_End();

            return;
        }
    }
}